#include <iostream>
#include <stdlib.h>
#include <stdio.h>
#include <queue>
typedef  long long ll;
using namespace std;



int main()
{
    ll n,x,w,t;
    cin >> n;
    cin >> x;
    ll br=0;
    ll niz[n];
    for(ll i=0;i<n;i++)
    {
        cin >>w;
        niz[br++]=w;
    }
    niz[br++]=x;
    for(ll i=0;i<n;i++)
        for(ll j=i+1;j<n+1;j++)
       {
           if(niz[i]>niz[j])
           {
               t=niz[i];
               niz[i]=niz[j];
               niz[j]=t;
           }
       }
       ll pom=-1;
       ll suma1=0;
       ll suma2=0;
     for(ll i=0;i<br-1;i++)
     {

       if(niz[i]==x)
       {
        pom=i;
       }
       if(pom >= 0)
            suma2=suma2+niz[i+1]-niz[i];
       if(pom == -1)
         suma1=suma1 +niz[i+1]-niz[i];

     }

     ll suma=0;

        if(suma2 <= suma1)
         {
            for(int i=pom;i<br-1;i++)
             {
              suma=suma+niz[i+1]-niz[i];
             }
             suma=2*suma;
             for(ll j=pom;j>0;j--)
                suma=suma+niz[j]-niz[j-1];
         }
         if(suma2>suma1)
         {
            for(ll j=pom;j>0;j--)
              suma=suma+niz[j]-niz[j-1];
             suma=suma*2;
             for(int i=pom;i<br-1;i++)
             {
              suma=suma+niz[i+1]-niz[i];
             }
         }

     cout << suma;
}